=== debian/changelog ===
ros-galactic-nonpersistent-voxel-layer (2.2.2-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Steven Macenski <stevenmacenski@gmail.com>  Mon, 29 Nov 2021 20:34:23 -0000
