=== debian/control ===
Source: ros-galactic-nonpersistent-voxel-layer
Section: misc
Priority: optional
Maintainer: Steven Macenski <stevenmacenski@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-lint-auto, ros-galactic-geometry-msgs, ros-galactic-laser-geometry, ros-galactic-map-msgs, ros-galactic-nav-msgs, ros-galactic-nav2-costmap-2d, ros-galactic-nav2-msgs, ros-galactic-nav2-voxel-grid, ros-galactic-pluginlib, ros-galactic-rclcpp, ros-galactic-sensor-msgs, ros-galactic-std-msgs, ros-galactic-tf2, ros-galactic-tf2-ros, ros-galactic-visualization-msgs, ros-galactic-ros-workspace
Homepage: http://wiki.ros.org/non-persisent-voxel-layer
Standards-Version: 3.9.2

Package: ros-galactic-nonpersistent-voxel-layer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-geometry-msgs, ros-galactic-laser-geometry, ros-galactic-map-msgs, ros-galactic-nav-msgs, ros-galactic-nav2-costmap-2d, ros-galactic-nav2-msgs, ros-galactic-nav2-voxel-grid, ros-galactic-pluginlib, ros-galactic-rclcpp, ros-galactic-sensor-msgs, ros-galactic-std-msgs, ros-galactic-tf2, ros-galactic-tf2-ros, ros-galactic-visualization-msgs, ros-galactic-ros-workspace
Description: include This package provides an implementation of a 3D costmap that takes in sensor data from the world, builds a 3D occupancy grid of the data for only one iteration.
